package cn.jx.wechat.app.wechatrobot.service;

import cn.jx.wechat.app.wechatrobot.service.face.AppApi;
import cn.jx.wechat.app.wechatrobot.service.face.BusinessVerify;
import cn.jx.wechat.app.wechatrobot.service.faceInst.AppApiInst;
import cn.jx.wechat.app.wechatrobot.service.faceInst.BusinessVerifyInst;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class ServiceConfig {
    @Bean
    public BusinessVerify registryBusinessVerify(){
        return new BusinessVerifyInst();
    }

    @Bean
    public AppApi registryAppApi(){
        return new AppApiInst();
    }
}
