package cn.jx.wechat.app.wechatrobot.web.business;

import cn.jx.wechat.app.wechatrobot.api.SendMessageBody;
import cn.jx.wechat.app.wechatrobot.config.BusinessAccessTokenConfig;
import cn.jx.wechat.app.wechatrobot.config.BusinessVerifyProperties;
import cn.jx.wechat.app.wechatrobot.service.face.AppApi;
import cn.jx.wechat.app.wechatrobot.service.face.BusinessVerify;
import cn.jx.wechat.app.wechatrobot.util.SpringBeanHelper;
import com.google.gson.*;
import com.google.gson.reflect.TypeToken;
import org.checkerframework.checker.units.qual.A;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.http.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.client.RestTemplate;

import java.lang.reflect.Type;
import java.util.Map;

@RequestMapping("/app/business/api")
@RestController("appApiCtrl")
public class AppApiCtrl {

    private static Logger log= LoggerFactory.getLogger(AppApiCtrl.class);

    private AppApi appApi;
    @Autowired
    public AppApiCtrl(AppApi appApi) {
        this.appApi = appApi;
    }

    @PostMapping("/sendMassage")
    public  JsonObject sendMessage(@RequestBody SendMessageBody sendMessageBody, @RequestParam String  toUser, @RequestParam(required = false) String  msgType) {
        String  msg=  null!= sendMessageBody.getMsg()?sendMessageBody.getMsg():"";
        return this.appApi.sendMessage(msg,msgType,toUser);
    }


}
